When you order a new Hypernode you can select the option to preinstall Magento 2 on the new machine. If you select this option, PHP 7.1 will now automatically be used instead of the previous default of PHP 7.0.

PHP 7.1 is the most recent supported PHP version for Magento 2. If you want to switch the PHP version on your new Hypernode to something else, you can do so in your Service Panel.

Magento Commerce and Open Source updates

Additionally, Magento released new versions of Magento 2 yesterday in a security and functionality update. The Magento 2 preinstall on Hypernode has been updated to reflect this. The new preinstalled version is 2.2.3.